
package net.northking.cctp.scriptcase.tools.hapUtil.module;

import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class Ability {

    @SerializedName("description")
    private String mDescription;
    @SerializedName("descriptionId")
    private int mDescriptionId;
    @SerializedName("exported")
    private Boolean mExported;
    @SerializedName("icon")
    private String mIcon;
    @SerializedName("iconId")
    private int mIconId;
    @SerializedName("label")
    private String mLabel;
    @SerializedName("labelId")
    private int mLabelId;
    @SerializedName("name")
    private String mName;
    @SerializedName("skills")
    private List<Skill> mSkills;
    @SerializedName("srcEntry")
    private String mSrcEntry;
    @SerializedName("startWindowBackground")
    private String mStartWindowBackground;
    @SerializedName("startWindowBackgroundId")
    private int mStartWindowBackgroundId;
    @SerializedName("startWindowIcon")
    private String mStartWindowIcon;
    @SerializedName("startWindowIconId")
    private int mStartWindowIconId;

    public String getDescription() {
        return mDescription;
    }

    public void setDescription(String description) {
        mDescription = description;
    }

    public int getDescriptionId() {
        return mDescriptionId;
    }

    public void setDescriptionId(int descriptionId) {
        mDescriptionId = descriptionId;
    }

    public Boolean getExported() {
        return mExported;
    }

    public void setExported(Boolean exported) {
        mExported = exported;
    }

    public String getIcon() {
        return mIcon;
    }

    public void setIcon(String icon) {
        mIcon = icon;
    }

    public int getIconId() {
        return mIconId;
    }

    public void setIconId(int iconId) {
        mIconId = iconId;
    }

    public String getLabel() {
        return mLabel;
    }

    public void setLabel(String label) {
        mLabel = label;
    }

    public int getLabelId() {
        return mLabelId;
    }

    public void setLabelId(int labelId) {
        mLabelId = labelId;
    }

    public String getName() {
        return mName;
    }

    public void setName(String name) {
        mName = name;
    }

    public List<Skill> getSkills() {
        return mSkills;
    }

    public void setSkills(List<Skill> skills) {
        mSkills = skills;
    }

    public String getSrcEntry() {
        return mSrcEntry;
    }

    public void setSrcEntry(String srcEntry) {
        mSrcEntry = srcEntry;
    }

    public String getStartWindowBackground() {
        return mStartWindowBackground;
    }

    public void setStartWindowBackground(String startWindowBackground) {
        mStartWindowBackground = startWindowBackground;
    }

    public int getStartWindowBackgroundId() {
        return mStartWindowBackgroundId;
    }

    public void setStartWindowBackgroundId(int startWindowBackgroundId) {
        mStartWindowBackgroundId = startWindowBackgroundId;
    }

    public String getStartWindowIcon() {
        return mStartWindowIcon;
    }

    public void setStartWindowIcon(String startWindowIcon) {
        mStartWindowIcon = startWindowIcon;
    }

    public int getStartWindowIconId() {
        return mStartWindowIconId;
    }

    public void setStartWindowIconId(int startWindowIconId) {
        mStartWindowIconId = startWindowIconId;
    }

}
